// file: $isip/class/stat/UniformModel/uni_06.cc
// version: $Id: uni_06.cc 6076 2000-12-23 00:34:36Z picone $
//

// system include files
//
#include <typeinfo>

// isip include files
//
#include "UniformModel.h"

// method: eq
//
// arguments:
//  const StatisticalModelBase& arg: (input) object to assign
//
// return: a boolean value
//
// this method checks whether two UniformModel objects are equal or not
//
boolean UniformModel::eq(const StatisticalModelBase& arg_a) const {

  // make sure we have the right type of data
  //
  if (typeid(arg_a) == typeid(UniformModel)) {
    return eq((UniformModel&)arg_a);
  }
  else {
    return Error::handle(name(), L"eq", Error::ARG, __FILE__, __LINE__);
  }
}
